Bug 118299 - ldconfig verboses about too small files
ldconfig verboses about too small files
Product: Fedora
Classification: Fedora
Component: prelink (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-03-15 06:31 EST by Adi Ron
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-03 16:32:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adi Ron 2004-03-15 06:31:22 EST
Description of problem:
ldconfig complains about too small files during runtime and exits. 

Version-Release number of selected component (if applicable):
Yarrow Fedora Core 1

How reproducible:

Steps to Reproduce:
Run 'ldconfig' 
Actual results:

"/sbin/ldconfig: File /usr/lib/libkdesu.so.4.1.0.#prelink#.6WYqO0 is
too small, not checked."

Expected results:

Additional info:
Comment 1 Jakub Jelinek 2004-03-15 09:37:36 EST
The question is why is there /usr/lib/libkdesu.so.4.1.0.#prelink#.6WYqO0.
This is a temporary file created by prelink, but it should be very quickly
disappear again.  There are 3 things which could happen:
1) the box was rebooted or prelink killed while it was executing
   (in this case just remove the file)
2) you were running ldconfig (or installing some rpm) at the same time
   as prelink was prelinking the system (simply return ldconfig, the
   file will not be there again)
3) there was some prelink bug and prelink crashed while processing
   libkdesu.so.4.1.0.  If so and you manage to reproduce it, I need
   more details so that the bug can be fixed.

Note You need to log in before you can comment on or make changes to this bug.